﻿@model IEnumerable<Actor>

@{
    ViewData["Title"] = "List of Actors";
}

<div class="row">
    <div class="col-md-8 offset-md-2">

        <table class="table">
            <thead>
                <tr class="text-center">
                    <th>@Html.DisplayNameFor(model => model.ProfilePictureURL)</th>
                    <th>@Html.DisplayNameFor(model => model.FullName)</th>
                    <th>@Html.DisplayNameFor(model => model.Biography)</th>
                    @if (User.Identity.IsAuthenticated && User.IsInRole("Admin"))
                    {
                        <th>Actions</th>
                    }
                    
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td class="align-middle">
                            <img class="rounded-circle" src="@item.ProfilePictureURL" alt="@item.FullName" style="max-width: 150px" />
                        </td>
                        <td class="align-middle">
                            @Html.DisplayFor(modelItem => item.FullName)
                        </td>
                        <td class="align-middle">
                            @Html.DisplayFor(modelItem => item.Biography)
                        </td>
                        @if (User.Identity.IsAuthenticated && User.IsInRole("Admin"))
                        {
                            <td class="align-middle">
                                <a class="btn btn-outline-primary" asp-action="Edit" asp-route-id="@item.Id"><i class="bi bi-pencil-square"></i>Edit </a> |
                                <a class="btn btn-outline-info" asp-action="Details" asp-route-id="@item.Id"><i class="bi bi-eye"></i>Details </a> |
                                <a class="btn btn-danger text-white" asp-action="Delete" asp-route-id="@item.Id"><i class="bi bi-trash"></i>Delete </a>
                            </td>
                        }
                    </tr>
                }
            </tbody>

        </table>

    </div>
</div>

@await Html.PartialAsync("_CreateItem", "Actors")